{% extends "layout.html" %}

{% block title %}Kodama - Register Hotel{% endblock %}

{% block body %}

<form class="form-signin" action="{{ url_for('register_hotel') }}" method="POST">
    <div class="text-center mb-4">
        <h1 class="h3 mb-3 font-weight-normal">Register Hotel</h1>
    </div>
    <hr>

    {{ form.name.label }}
    {{ form.name(class_="form-control") }}
    {% for error in form.name.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.area.label }}
    {{ form.area(class_="form-control") }}
    {% for error in form.area.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.address.label }}
    {{ form.address(class_="form-control") }}
    {% for error in form.address.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.city.label }}
    {{ form.city(class_="form-control") }}
    {% for error in form.city.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.state.label }}
    {{ form.state(class_="form-control") }}
    {% for error in form.state.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.country.label }}
    {{ form.country(class_="form-control") }}
    {% for error in form.country.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.zip.label }}
    {{ form.zip(class_="form-control") }}
    {% for error in form.zip.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.csrf_token }}

    <p></p>

    <button class="btn btn-lg btn-primary btn-block" type="submit">Submit</button>
</form>

{% endblock %}
